Skip to main content
POST
Connect a store

Authorizations

Authorization
string
header
required

An organization's API key, sent on every call as Authorization: Bearer <key>. A person of the organization creates it in the app, in Settings › API and connections › API keys.

Path Parameters

orgId
string<uuid>
required

Body

application/json
provider
enum<string>
required
Available options:
amazon,
shopify,
bigcommerce,
square,
walmart,
ebay,
google_merchant
Example:

"amazon"

credentials
object
required

Response

Created

id
string<uuid>
required
provider
enum<string>
required
Available options:
amazon,
shopify,
bigcommerce,
square,
walmart,
ebay,
google_merchant
label
string
required
authState
enum<string>
required
Available options:
connected,
needs_reauth,
unavailable,
terminated
lifecycle
enum<string>
required
Available options:
active,
disconnecting
writesPaused
boolean
required